Skip to content

Developer workspace

API documentation

Integrate postal delivery into your application with one secure API for simple, tracked, and certified letters.

API keys
POSThttps://api.unjani-solutions.com/api/letters/send

Quick start

Send your first letter

  1. Add a payment card to your account.
  2. Create an API key from the API Keys page.
  3. Encode your PDF as base64 and send it directly in the request.
curl --request POST \
  --url https://api.unjani-solutions.com/api/letters/send \
  --header "Authorization: Bearer $LETTER_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
    "letter": {
      "mode": "tracked",
      "address": {
        "sender": {
          "type": "company",
          "company": "Acme SAS",
          "firstName": "Ada",
          "lastName": "Lovelace",
          "address": "1 rue de la Paix",
          "additionalAddress": "",
          "zipCode": "75001",
          "city": "Paris",
          "country": "France"
        },
        "recipient": {
          "type": "individual",
          "title": "Mr",
          "firstName": "Alan",
          "lastName": "Turing",
          "address": "2 avenue Victor Hugo",
          "additionalAddress": "",
          "zipCode": "69001",
          "city": "Lyon",
          "country": "France"
        }
      },
      "content": {
        "files": [
          {
            "name": "letter.pdf",
            "base64": "JVBERi0xLjQK..."
          }
        ]
      }
    }
  }'